package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品信息对象 T_BD_ProductInfo
 * 
 * @author limy
 * @date 2021-01-25
 */
public class TBdProductinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** 机种ID */
    @Excel(name = "机种ID")
    private Long productID;

    /** 机种类型 */
    @Excel(name = "机种类型")
    private String productName;

    /** 产品代号 */
    private String productCode;

    /** 机种类型 */
    @Excel(name = "机种类型")
    private String productType;

    /** 维护人 */
    private String userID;

    /** 制具车条码 */
    @Excel(name = "制具车条码")
    private String toolCarNo;

    /** 供应商 */
    private String supplier;

    /** 零件号 */
    private String partNum;

    /** 软件版本 */
    private String softVersion;

    /** 生产地 */
    private String yieldly;

    /** 返修次数 */
    private String returnCount;

    /** 标签有无 */
    @Excel(name = "标签有无")
    private String machine;

    /** 车间代号 */
    private String ahopID;

    /** 转向 */
    private String turnTo;

    /** 冷冻油 */
    private String oil;

    /** 制冷剂 */
    private String freezing;

    /** 转速 */
    private String apeed;

    /** 电压 */
    private String volatage;

    /** 公司名称 */
    private String name;

    /** 标签模板 */
    @Excel(name = "标签模板")
    private String template;

    /** 标签形式 */
    @Excel(name = "标签形式")
    private String printType;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setProductID(Long productID) 
    {
        this.productID = productID;
    }

    public Long getProductID() 
    {
        return productID;
    }
    public void setProductName(String productName) 
    {
        this.productName = productName;
    }

    public String getProductName() 
    {
        return productName;
    }
    public void setProductCode(String productCode) 
    {
        this.productCode = productCode;
    }

    public String getProductCode() 
    {
        return productCode;
    }
    public void setProductType(String productType) 
    {
        this.productType = productType;
    }

    public String getProductType() 
    {
        return productType;
    }
    public void setUserID(String userID) 
    {
        this.userID = userID;
    }

    public String getUserID() 
    {
        return userID;
    }
    public void setToolCarNo(String toolCarNo) 
    {
        this.toolCarNo = toolCarNo;
    }

    public String getToolCarNo() 
    {
        return toolCarNo;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setPartNum(String partNum) 
    {
        this.partNum = partNum;
    }

    public String getPartNum() 
    {
        return partNum;
    }
    public void setSoftVersion(String softVersion) 
    {
        this.softVersion = softVersion;
    }

    public String getSoftVersion() 
    {
        return softVersion;
    }
    public void setYieldly(String yieldly) 
    {
        this.yieldly = yieldly;
    }

    public String getYieldly() 
    {
        return yieldly;
    }
    public void setReturnCount(String returnCount) 
    {
        this.returnCount = returnCount;
    }

    public String getReturnCount() 
    {
        return returnCount;
    }
    public void setMachine(String machine) 
    {
        this.machine = machine;
    }

    public String getMachine() 
    {
        return machine;
    }
    public void setAhopID(String ahopID) 
    {
        this.ahopID = ahopID;
    }

    public String getAhopID() 
    {
        return ahopID;
    }
    public void setTurnTo(String turnTo) 
    {
        this.turnTo = turnTo;
    }

    public String getTurnTo() 
    {
        return turnTo;
    }
    public void setOil(String oil) 
    {
        this.oil = oil;
    }

    public String getOil() 
    {
        return oil;
    }
    public void setFreezing(String freezing) 
    {
        this.freezing = freezing;
    }

    public String getFreezing() 
    {
        return freezing;
    }
    public void setApeed(String apeed) 
    {
        this.apeed = apeed;
    }

    public String getApeed() 
    {
        return apeed;
    }
    public void setVolatage(String volatage) 
    {
        this.volatage = volatage;
    }

    public String getVolatage() 
    {
        return volatage;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTemplate(String template) 
    {
        this.template = template;
    }

    public String getTemplate() 
    {
        return template;
    }
    public void setPrintType(String printType) 
    {
        this.printType = printType;
    }

    public String getPrintType() 
    {
        return printType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("productID", getProductID())
            .append("productName", getProductName())
            .append("productCode", getProductCode())
            .append("productType", getProductType())
            .append("userID", getUserID())
            .append("updateTime", getUpdateTime())
            .append("toolCarNo", getToolCarNo())
            .append("supplier", getSupplier())
            .append("partNum", getPartNum())
            .append("softVersion", getSoftVersion())
            .append("yieldly", getYieldly())
            .append("returnCount", getReturnCount())
            .append("machine", getMachine())
            .append("ahopID", getAhopID())
            .append("turnTo", getTurnTo())
            .append("oil", getOil())
            .append("freezing", getFreezing())
            .append("apeed", getApeed())
            .append("volatage", getVolatage())
            .append("name", getName())
            .append("template", getTemplate())
            .append("printType", getPrintType())
            .toString();
    }
}
